# Android SQLite 数据库介绍

> 原文： [https://javatutorial.net/android-sqlite-database-introduction](https://javatutorial.net/android-sqlite-database-introduction)

本文是 SQLite 数据库类和方法的简介。 它与[完整的 Android SQLite 示例](https://javatutorial.net/android-sqlite-database-example)相等。

## Android 中的 SQLite 数据库

您是否要在设备中存储和保存 Android 应用程序的数据？ 该解决方案非常简单，因为 Android 内置了 SQLite 数据库引擎。 SQLite 是 SQL 数据库，它将您的应用程序数据存储在一个文本文件中。 它重量很轻，也是开源的。 SQLite 数据库支持关系数据库的标准功能。 它支持文本，整数和实数数据类型。`android.database.sqlite`软件包具有保存应用程序数据所需的全部。`SqliteDatabase`类具有许多不同的方法来创建数据库，执行 SQL 命令和删除数据库。

## `SQLiteDatabase`类的方法

这是`SQLiteDatabase`类的一些公共方法。

*   `createSQLIteDatabase(SQLiteDatabase.Cursorfactory factory)`：用于创建 SQLite 数据库。
*   `complieStatement(String sql)`：编译 SQL 语句。
*   `deleteDatabase(File file)`：删除整个数据库。
*   `delete( String table, String wholeClass, String[] whereArgs)`：删除数据库中行的方法。
*   `getPath()`：获取数据库路径的方法。
*   `getVersion()`：获取数据库版本的方法。
*   `isreadOnly()`：告知数据库是否为只读。
*   `isOpen()`：告知数据库是否打开。
*   `uupdate( String table, Content values, String whereClause, String[] whereArgs)`：用于更新数据库中的行。
*   `releaseMemory()`：用于释放 SQL 所保存的内存。

## 光标

游标是提供随机读写访问的接口。 游标对象帮助我们从数据库中检索任何内容。 Cursor 类的许多功能可以帮助我们进行数据检索。

*   `rawQuery()`：以指向表的光标对象的形式返回结果集。
*   `moveToFirst()`：它将光标移动到第一行。
*   `moveToLast()`：此方法将光标移动到最后一行。
*   `moveToNext()`：此函数将光标移动到下一行。
*   `move（int offset）`：该功能用于根据给定的偏移值向前或向后移动光标。
*   `isFirst()`：检查光标是否在第一行。
*   `isLast()`：检查光标是否在最后一行。
*   `isNull()`：检查光标是否指向`null`。
*   `getPosition()`：该方法以行集的形式返回光标的当前位置。
*   `getString(int column)`：此方法以字符串形式返回给定列的值。
*   `getCount()`：此方法返回游标中的行数。

请遵循下一个教程，了解[完整的 Android SQLite 数据库示例](https://javatutorial.net/android-sqlite-database-example)，演示创建，更新，检索和删除数据。