# 建立 Raspberry Pi 远程桌面连接

> 原文： [https://javatutorial.net/raspberry-pi-remote-desktop-connection](https://javatutorial.net/raspberry-pi-remote-desktop-connection)

以前，我们已经介绍了如何通过 [SSH](https://javatutorial.net/connect-remotely-to-raspberry-pi) 访问 Raspberry Pi。

远程访问 Raspberry Pi 无需拥有 2 个屏幕或在 2 个系统之间切换。 在本文中，我将教您如何通过 VNC 为 Raspberry Pi 创建远程桌面连接。

![](img/be16c29dbbad471b29b8ad609d2a0250.jpg)

## 要求

1.  两个程序：（1）我们需要控制的计算机的 VNC 服务器，以及（2）我们将要控制的小工具上的 VNC Viewer。
2.  Raspberry Pi 存储设备（例如 [Micro-SD](https://safetomatic.com/best-sd-card-for-raspberry-pi-3/) ）
3.  树莓派板
4.  电脑

幸运的是，Raspbian 已预装了 VNC Connect，它是 RealVNC 的远程访问软件。 VNC Connect 具有 VNC 查看器和 VNC 服务器。 现在，运行此终端命令以检查您是否具有最新的 VNC Connect 版本。

```java
sudo apt-get update
```

```java
sudo qpt-get install realvnc-vnc-server realvnc-vnc-viewer
```

## 步骤 1：激活 VNC

就像我们在 SSH 指南中所做的（首先启用 SSH）一样，通过（a）GUI 或（b）通过终端启用 VNC。 我将在下面讨论如何使用任何一种概述的方法。

**（a）通过 GUI** 启用 VNC

在您的计算机上，依次转到“首选项&gt;”和“ Raspberry Pi 设置” &gt;，然后单击“接口”。在此同时，选择“ VNC：已启用”。

（b）使用终端启用 VNC

**在计算机**上，启动 Terminal 并输入以下命令：

```java
sudo raspi-config
```

转到“高级选项”，然后选择 VNC。 在弹出的提示上，单击“是”，最后选择“完成”退出。

## 步骤 2：现在通过 VNC Viewer 连接 Raspberry Pi

同样，有两种方法可以通过（i）直接连接和（ii）云连接通过 VNC Viewer 访问远程桌面到 Raspberry Pi。 我将简要讨论这两种方法。

（i）直接连接

如果您使用的是家庭网络，则可以直接建立直接连接。 这是采取的步骤：

1.  1.  在 Raspberry Pi 终端上，运行以下命令：

```java
hostname -I
```

终端将显示 IP 地址（专用）。 保存以备后用！

2.  现在，转到用于命令 Raspberry Pi 的设备并在其上安装 VNC Viewer。[在此处下载您的 VNC Viewer](https://www.realvnc.com/download/viewer/)。
3.  接下来，输入 VNC Viewer 的 IP 地址（专用）（上面刚刚保存的 IP 地址）
4.  最后，VNC Server 将要求您使用 Raspberry Pi 的凭据（用户名&密码）进行身份验证。 如果您尚未更改 Pi 的登录凭据，则为“ pi” &“树莓”。

（ii）建立云连接

RealVNC 将允许您注册和使用免费帐户用于非商业目的或用于教育目的。

值得注意的是，云连接是安全的，不需要配置路由器端口转发，甚至不需要知道 Raspberry Pi 的 IP。

但是，云连接不适合家庭网络连接，并且可能比直接连接慢。 建立云端连线的方法如下：

1.  [在此处创建一个 RealVNC](https://www.realvnc.com/raspberrypi/#sign-up)。
2.  使用 RealVNC 帐户登录 Raspberry Pi 上的 VNC 服务器。
3.  接下来，将出现一个屏幕，我们需要从“选择连接方式”选项中选择“直接&云连接”。
4.  现在，下载您的 VNC Viewer 并将其安装在用于命令 Raspberry Pi 的小工具上。
5.  使用 RealVNC 帐户登录 VNC 查看器。 单击 Raspberry Pi 图标。
6.  使用用户名&密码对 Raspberry Pi 进行身份验证（如果适用，请使用默认设置）。

如果目前为止一切正确，我们将在您的设备上看到 Raspberry Pi 的桌面。

## 步骤 3：最后，创建虚拟桌面

1.  在 Raspberry Pi 的终端上，运行 vncserver 并记录 Pi 的 IP 地址和屏幕上显示的数字。
2.  接下来，在小工具上，我们将用于命令 Raspberry Pi，在 VNC Viewer 中键入 IP 地址和端口号。
3.  输入 Raspberry Pi 身份验证：用户名&密码。 请记住，默认的 Raspberry Pi 凭据分别是“ pi”和“ raspberry”。
4.  做完了！