# 如何将自定义库包含到 Maven 本地存储库中

> 原文： [https://javatutorial.net/how-to-include-custom-library-into-maven-local-repository](https://javatutorial.net/how-to-include-custom-library-into-maven-local-repository)

如果您曾经想过是否可以使用 [Maven](https://javatutorial.net/how-to-install-maven-on-windows-linux-and-mac) 作为依赖项上传自己的库，答案是肯定的，可以。 这真的很简单。

这是一个两步过程。

![java-featured-image](img/e0db051dedc1179e7424b6d998a6a772.jpg)

## 第 1 步

在命令行中转到您的 Maven 项目路径，然后上传一个库，这就是 maven 命令的结构：

```java
mvn install:install-file
-Dfile=<path-to-file> 
-DgroupId=<group-id> 
-DartifactId=<artifact-id> 
-Dversion=<version> 
-Dpackaging=<packaging>
```

使用上面的模板，只需填充与您的库相对应的字段。`Dfile =>`文件路径，`groupdId`，`artifactId`和版本完全取决于您。`Dpackaging =>`包类型，例如 JAR 和 WAR 等。


## 第 2 步

使用上述命令指定要包含的库后，需要将依赖项添加到“依赖项”选项卡中。

```java
<dependency>      
<groupId>group-id</groupId>      
<artifactId>artifact-id</artifactId>      
<version>version</version>      
<type>jar</type> 
</dependency>
```

在将其添加为依赖项之后，只需使用`mvn package`来构建项目并添加繁荣，就可以向 Maven 项目中添加自定义库了。