# Java 属性文件示例

> 原文： [https://javatutorial.net/java-properties-file-example](https://javatutorial.net/java-properties-file-example)

在本教程中，我将向您展示如何在 Java 中从属性文件存储和检索值。

在许多情况下，您可能希望为 Java 程序准备一个配置文件。 Java 在`java.util.Properties`中具有内置机制，可让您轻松访问和更改配置文件中的值。

属性由键和值对构成，二者均表示为`String`对象。 您可能会将属性视为持久性[哈希表](https://javatutorial.net/java-hashtable-example)。

## 将数据写入属性文件

```java
Properties properties = new Properties();
properties.setProperty("server_name", "javatutorial.net");
properties.setProperty("request_timeout", "5000");
OutputStream output = new FileOutputStream("config.properties");
properties.store(output, null);
```

## 从属性文件读取数据

```java
InputStream input = new FileInputStream("config.properties");
Properties properties = new Properties();
properties.load(input);
String serverNamere = properties.getProperty("server_name");
```

在此示例中，我没有包括异常处理以提高可见性。 完成读/写属性后，请不要忘记在程序中添加适当的异常处理并关闭文件输入和输出流。